Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032152
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2016-02-05 15:002016-03-17 10:56
ReporterAugustoMauchView Statuspublic 
Assigned ToNaroaIriarte 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q2
StatusclosedFix in branchFixed in SCM revisionf4eb6b0d41e0
ProjectionnoneETAnoneTarget Version3.0PR16Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032152: Some columns of tables that belong to the AD dataset can be modified even if their module is not in development

DescriptionFor most of the columns that belong to AD tables it makes sense to show an error message if their are modified if their module is not in development.

There are some columns that are not taking this into account (i.e. Allow Sorting and Allow Filtering in the Columns tab, or the Is Tree flag in the Tables tab).
Steps To ReproduceAs System Admin, with no modules in development:
- Open the Tables and Column tab
- Select any table and change of the value of its Is Tree flag. The record can be saved (this is wrong)
- Select any record in the Columns tab, and change the value of the Allow Sorting and Allow Filtering flag. The record can be saved (this is wrong)
Proposed SolutionMaybe implement an event handler to centralize this, instead of having to modify a database trigger each time a column is added to an AD table
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0031468 closedNaroaIriarte It would be nice to prevent sorting and filtering some columns. 
related to defect 0026557 acknowledgedplatform The editable field on the tab of parameters on the processdefinition window can be changed having modules indevelopment 
related to defect 00321513.0PR16Q2 closedNaroaIriarte The Allow Filtering flag is not working for columns that use the Text reference 

-  Notes
(0084823)
hgbot (developer)
2016-03-08 14:19

Repository: erp/devel/pi
Changeset: f4eb6b0d41e04a6f09147e93377a0b15fb7e3e27
Author: Naroa Iriarte <naroa.iriarte <at> openbravo.com>
Date: Tue Mar 08 10:56:37 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f4eb6b0d41e04a6f09147e93377a0b15fb7e3e27 [^]

fixed issue 32152: Some colums were modified even with no modules in devel.

The AllowSorting and AllowFiltering columns were modified even with no module in development.
That behavior is not correct and the AD_COLUMN_MOD_TRG.xml trigger has been modified to handle
this situation. Now if there is no module in development and the old value of these columns is
not the same as the new one (if it has been modified) an error is shown.

---
M src-db/database/model/triggers/AD_COLUMN_MOD_TRG.xml
---
(0084896)
alostale (developer)
2016-03-11 08:23

code reviewed
(0085192)
hudsonbot (developer)
2016-03-17 10:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-02-05 15:00 AugustoMauch New Issue
2016-02-05 15:00 AugustoMauch Assigned To => platform
2016-02-05 15:00 AugustoMauch Modules => Core
2016-02-05 15:00 AugustoMauch Triggers an Emergency Pack => No
2016-02-05 15:00 AugustoMauch Relationship added related to 0032151
2016-02-25 14:43 alostale Relationship added related to 0031468
2016-02-25 14:44 alostale Target Version => 3.0PR16Q2
2016-02-25 14:44 alostale Status new => acknowledged
2016-02-25 14:46 alostale Relationship added related to 0026557
2016-03-04 11:21 NaroaIriarte Assigned To platform => NaroaIriarte
2016-03-08 14:19 hgbot Checkin
2016-03-08 14:19 hgbot Note Added: 0084823
2016-03-08 14:19 hgbot Status acknowledged => resolved
2016-03-08 14:19 hgbot Resolution open => fixed
2016-03-08 14:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f4eb6b0d41e04a6f09147e93377a0b15fb7e3e27 [^]
2016-03-11 08:23 alostale Review Assigned To => alostale
2016-03-11 08:23 alostale Note Added: 0084896
2016-03-11 08:23 alostale Status resolved => closed
2016-03-11 08:23 alostale Fixed in Version => 3.0PR16Q2
2016-03-17 10:56 hudsonbot Checkin
2016-03-17 10:56 hudsonbot Note Added: 0085192


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker